Subject: Re: [PATCH v2 08/12] skip_prefix(): check const match between in and out params

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Apr 2026 08:41:17 -0700

Junio C Hamano <[email-masked]> writes:

> Jeff King <[email-masked]> writes:
>
>> +/*
>> + * Check that an out-parameter that is "at least as const as" a matching
>> + * in-parameter. For example, skip_prefix() will return "out" that is a subset
>> + * of "str". So:
>
> Sorry for not mentioning earlier, but I couldn't quite parse the
> above with "that" immediately after "out-parameter".  I am guessing
> that you wanted to say an equivalent of
>
>     Check that an out-parameter "out" is at least as const as a
>     matching in-parameter "in".

What I meant was that I'd understand if that "that" immediately
after the "out-parameter" is removed from the sentence.

Thanks.